package com.chenyang.nse.bussiness.entity.param.scheduler;

import java.util.List;

public class AddSchedulerParam {
   private String id;
   private String srName;
   private String rulesType;
   private String rulesDay;
   private String rulesHour;
   private String rulesMinute;
   private String rulesMonth;
   private String rulesYear;
   private String rulestime;
   private String ruleValidity;
   private String createTime;
   private String projectid;
   private String[] xzlist;
   private String qx;
   private String xloptions;
   private String howtime;
   private String timebox;
   private List<SaveTaskParam> saveTask;

   public String getQx() {
      return this.qx;
   }

   public void setQx(String qx) {
      this.qx = qx;
   }

   public String getXloptions() {
      return this.xloptions;
   }

   public void setXloptions(String xloptions) {
      this.xloptions = xloptions;
   }

   public String getHowtime() {
      return this.howtime;
   }

   public void setHowtime(String howtime) {
      this.howtime = howtime;
   }

   public String getTimebox() {
      return this.timebox;
   }

   public void setTimebox(String timebox) {
      this.timebox = timebox;
   }

   public String[] getXzlist() {
      return this.xzlist;
   }

   public void setXzlist(String[] xzlist) {
      this.xzlist = xzlist;
   }

   public String getRulestime() {
      return this.rulestime;
   }

   public void setRulestime(String rulestime) {
      this.rulestime = rulestime;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getSrName() {
      return this.srName;
   }

   public void setSrName(String srName) {
      this.srName = srName;
   }

   public String getRulesType() {
      return this.rulesType;
   }

   public void setRulesType(String rulesType) {
      this.rulesType = rulesType;
   }

   public String getRulesDay() {
      return this.rulesDay;
   }

   public void setRulesDay(String rulesDay) {
      this.rulesDay = rulesDay;
   }

   public String getRulesHour() {
      return this.rulesHour;
   }

   public void setRulesHour(String rulesHour) {
      this.rulesHour = rulesHour;
   }

   public String getRulesMinute() {
      return this.rulesMinute;
   }

   public void setRulesMinute(String rulesMinute) {
      this.rulesMinute = rulesMinute;
   }

   public List<SaveTaskParam> getSaveTask() {
      return this.saveTask;
   }

   public void setSaveTask(List<SaveTaskParam> saveTask) {
      this.saveTask = saveTask;
   }

   public String getRuleValidity() {
      return this.ruleValidity;
   }

   public void setRuleValidity(String ruleValidity) {
      this.ruleValidity = ruleValidity;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public String getRulesMonth() {
      return this.rulesMonth;
   }

   public void setRulesMonth(String rulesMonth) {
      this.rulesMonth = rulesMonth;
   }

   public String getRulesYear() {
      return this.rulesYear;
   }

   public void setRulesYear(String rulesYear) {
      this.rulesYear = rulesYear;
   }
}
